
From: Andrew Morton <akpm@osdl.org>

arch/i386/mm/init.c: In function `add_one_highpage_hotplug':
arch/i386/mm/init.c:290: warning: comparison of distinct pointer types lacks a cast

Make it static, too.   Please review all other functions for static scope.

Cc: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/mm/init.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/mm/init.c~memory-hotplug-i386-addition-functions-warning-fix arch/i386/mm/init.c
--- devel/arch/i386/mm/init.c~memory-hotplug-i386-addition-functions-warning-fix	2005-09-03 16:19:12.000000000 -0700
+++ devel-akpm/arch/i386/mm/init.c	2005-09-03 16:19:12.000000000 -0700
@@ -282,7 +282,7 @@ void __init add_one_highpage_init(struct
 		SetPageReserved(page);
 }
 
-int add_one_highpage_hotplug(struct page *page, int pfn)
+static int add_one_highpage_hotplug(struct page *page, unsigned long pfn)
 {
 	free_new_highpage(page);
 	totalram_pages++;
_
